.digitization_snow {
  @extend .digitization_wrapper;
  flex-direction: column;
  row-gap: $padding_val;
  z-index: 1;
}

.snow_image_container {
  width: 1000px;
  display: flex;
  justify-content: center;
  align-items: center;

  .image {
    max-width: 800px;
    max-height: 800px;
    border: 3px solid $lwi-dark;
    height: inherit;
    border-radius: $borderradius;
    display: block;
  }
}

.snow_arrow {
  position: absolute;
  align-self: first baseline;
  visibility: hidden;

  img {
    position: relative;
    width: 80px;
    height: 80px;
    filter: invert(27%) sepia(11%) saturate(4486%) hue-rotate(172deg)
      brightness(98%) contrast(80%);
    cursor: move;
    z-index: 9;
  }

  .img-zoom-lens {
    position: absolute;
    top: 39px;
    left: 39px;
    border: 4px dashed $darkest-color;
    width: 175px;
    height: 350px;
    z-index: 8;
  }
}

.snow_input_form {
  @extend .zoom_input_form;
  width: 950px;
  height: auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr) repeat(5, 0.8fr);
  grid-template-rows: repeat(9, 50px) 75px 25px;
}

.snow_zoom {
  grid-column: 1 / span 3;
  grid-row: 4 / 8;
  height: 400px;
  width: 400px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 128, 180, 0.1);

  border: 2px solid $lwi-dark;
  border-radius: $borderradius;

  .orientation_container {
    height: 400px;
    width: 190px;
  }
}

.zoom_picture {
  height: 100%;
  width: 100%;
  border: 1px solid $dark-color;
  border-radius: $borderradius;
}

.zoom_reset_snow {
  grid-column: 1 / span 3;
  grid-row: 3 / 4;
  display: flex;
  justify-content: center;
  align-items: center;
}

.zoom_control {
  text-align: center; /* Center align the text and buttons */

  &_title {
    font-weight: bold; /* Make the title bold */
    margin-bottom: 10px; /* Space between title and buttons */
  }
}

.button_container {
  display: flex; /* Use flexbox for a horizontal layout */
  justify-content: space-between; /* Distribute buttons evenly */
  width: 80%; /* Full width */
  gap: $padding_val; /* Space between buttons */
}

.snow_button {
  @extend .digi_button;
  min-width: 120px;
}

.snow_type_toggle {
  grid-column: 6 / 9;
  grid-row: 4 / 5;
  display: flex;
  justify-content: center;
}

.toggle-container {
  display: flex;
  align-items: center;
  padding: 10px;
}

// Default styles for both labels
.toggle-label {
  font-weight: bold; // Not bold by default
  color: #949494; // Lighter grey for inactive option
  margin: 0 10px;
  transition: text-decoration 0.5s ease; // Smooth transition for underlining
  width: 90px;
  text-decoration: line-through;
}

// Initial state - Set the left label as active
.toggle-label.left.active {
  font-weight: bold; // Bold for active
  color: $font-dark; // Dark font color
  text-decoration: none;
}

.toggle-label.right.active {
  font-weight: bold; // Not bold for inactive
  color: $font-dark; // Lighter grey color
  text-decoration: none;
}

.toggle {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;

  input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  .slider {
    position: absolute;
    cursor: pointer;
    top: -2px;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: $light-color;
    border-radius: $borderradius;
    transition: 0.4s;
    border: 2px solid $base-color;
  }

  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 3px;
    background-color: white;
    border-radius: 50%;
    transition: 0.4s;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  }

  /* Move slider */
  input:checked + .slider:before {
    transform: translateX(26px);
  }
}

.sub_info {
  grid-column: 4 / 9;
  grid-row: 11 / 12;
}

.date_in_container {
  grid-column: 4 / 6;
  grid-row: 4 / 5;
  display: flex;
  justify-content: center;

  .date_bubble {
    @extend .input_bubble;
    margin-top: 0.5 * $padding_val;
    margin-bottom: 0.5 * $padding_val;
    font-weight: bold;
  }
}

.comment_container {
  @extend .comment_area;
  grid-column: 4 / 7;
  grid-row: 10 / 11; // Moved from 8 / 9 to 9 / 10
  display: flex;
  justify-content: center;
  padding: $padding_val;

  label {
    margin-right: 10px;
  }
}

.submit_container {
  grid-column: 7 / 9;
  grid-row: 10 / 11; // Moved from 8 / 9 to 9 / 10
  display: flex;
  justify-content: center;
}

.task_container {
  grid-column: 1 / 3;
  grid-row: 1 / 2;
  display: flex;
  align-items: center;
  justify-content: space-between;

  .heading {
    font-size: 1.5rem;
    letter-spacing: -1px;
    line-height: 1.95rem;
  }
}

.number_container {
  grid-column: 3 / 4;
  grid-row: 1 / 2;
  display: flex;
  align-items: center;
  justify-content: left;

  .taskdesc {
    font-weight: 500;
    font-size: 2rem;
    letter-spacing: -1.5px;
    line-height: 2.6rem;
  }
}

.instruc_container {
  grid-column: 4 / 9;
  grid-row: 1 / 4; // Moved from 1 / 4 to 2 / 5
  display: flex;
  justify-content: left;

  .codeblock {
    background: #ddd;
    padding-left: 0.4em;
    padding-right: 0.4em;
    font-weight: bold;
    font-size: medium;
  }

  ul {
    margin: 0;
    text-align: left;
  }
}

.zoom_title_container {
  grid-column: 1 / 4;
  grid-row: 2 / 3;
  display: flex;
  justify-content: center;
  align-items: end;

  .description {
    letter-spacing: -1px;
    line-height: 1.95rem;
  }
}

.station_base_container {
  display: flex;
  align-items: center;
  justify-content: flex-end; // Aligns nested divs to the right
}

.station_1_container {
  @extend .station_base_container;
  grid-column: 4 / 6;
  grid-row: 6 / 7; // Moved from 4 / 5 to 5 / 6
}

.station_2_container {
  @extend .station_base_container;
  grid-column: 4 / 6;
  grid-row: 7 / 8; // Moved from 5 / 6 to 6 / 7
}

.station_3_container {
  @extend .station_base_container;
  grid-column: 4 / 6;
  grid-row: 8 / 9; // Moved from 6 / 7 to 7 / 8
}

.station_4_container {
  @extend .station_base_container;
  grid-column: 4 / 6;
  grid-row: 9 / 10; // Moved from 7 / 8 to 8 / 9
}

.dropdown {
  border: none; // Remove default border
  background-color: transparent; // Use a transparent background
  color: $base-color; // Text color
  font-size: 16px; // Font size
  width: 100%; // Full width
  margin: 0; // Remove default margin
  outline: none; // Remove outline
  appearance: none; // Remove default dropdown arrow

  // Allow custom styling for the dropdown arrow
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 24 24"><path d="M7 10l5 5 5-5H7z" fill="%23007bff"/></svg>'); // Change %23007bff to your desired arrow color
  background-repeat: no-repeat;
  background-position: right 10px center;
  background-size: 12px;

  &:focus {
    outline: 2px dotted $light-color; // Outline on focus
    outline-offset: 0.1em; // Offset for focus
  }
}

.snow_input_group {
  display: flex; /* Use flexbox for layout */
  align-items: right; /* Align items vertically centered */
  width: 90%; /* Make the group take the full width */

  .label {
    font-weight: bold; /* Make the label bold */
    width: 15px;
  }
}

.header_cont {
  grid-column: 4 / 9;
  grid-row: 5 / 6; // Changed from 4 / 5

  display: grid;
  grid-template-columns: repeat(5, 1fr); /* Create 5 equal columns */

  position: relative; /* Ensure positioning for the pseudo-element */

  &::after {
    content: "";
    position: absolute; /* Positioning it absolutely */
    left: 50%; /* Center it horizontally */
    bottom: 0; /* Align it to the bottom */
    width: 90%; /* Set the width to 90% */
    border-bottom: 2px dashed #265984; /* Dashed border style */
    transform: translateX(-47%); /* Offset by half the width to center it */
  }

  .header-item {
    display: flex; /* Use flexbox for centering */
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    padding: 10px; /* Add some padding for aesthetics */
    height: 50px; /* Set a height to demonstrate vertical centering */
  }

  .merged-item {
    grid-column: span 2; /* This item will span across the first two columns */
    padding: 20px; /* Example padding */
    text-align: center; /* Center the text */
  }
}

.snowbox {
  accent-color: $highlight;

  &:focus {
    outline: none !important;
  }
}

.checkbox_container {
  display: flex;
  align-items: center;

  & label {
    margin-right: 0.5 * $padding_val; /* Adjust as needed */
  }
}

.measure1_in_cont {
  @extend .base_in_cont;
  grid-column: 6 / 7;
  grid-row: 6 / 7; // Changed from 5 / 6 to 6 / 7
}

.measure2_in_cont {
  @extend .base_in_cont;
  grid-column: 7 / 8;
  grid-row: 6 / 7; // Changed from 5 / 6 to 6 / 7
}

.measure3_in_cont {
  @extend .base_in_cont;
  grid-column: 8 / 9;
  grid-row: 6 / 7; // Changed from 5 / 6 to 6 / 7
}

.measure4_in_cont {
  @extend .base_in_cont;
  grid-column: 6 / 7;
  grid-row: 7 / 8; // Changed from 6 / 7 to 7 / 8
}

.measure5_in_cont {
  @extend .base_in_cont;
  grid-column: 7 / 8;
  grid-row: 7 / 8; // Changed from 6 / 7 to 7 / 8
}

.measure6_in_cont {
  @extend .base_in_cont;
  grid-column: 8 / 9;
  grid-row: 7 / 8; // Changed from 6 / 7 to 7 / 8
}

.measure7_in_cont {
  @extend .base_in_cont;
  grid-column: 6 / 7; // First column of the 9th row
  grid-row: 8 / 9; // Changed from 7 / 8 to 8 / 9
}

.measure8_in_cont {
  @extend .base_in_cont;
  grid-column: 7 / 8; // Second column of the 9th row
  grid-row: 8 / 9; // Changed from 7 / 8 to 8 / 9
}

.measure9_in_cont {
  @extend .base_in_cont;
  grid-column: 8 / 9; // Third column of the 9th row
  grid-row: 8 / 9; // Changed from 7 / 8 to 8 / 9
}

.measure10_in_cont {
  @extend .base_in_cont;
  grid-column: 6 / 7; // First column of the 10th row
  grid-row: 9 / 10; // Changed from 8 / 9 to 9 / 10
}

.measure11_in_cont {
  @extend .base_in_cont;
  grid-column: 7 / 8; // Second column of the 10th row
  grid-row: 9 / 10; // Changed from 8 / 9 to 9 / 10
}

.measure12_in_cont {
  @extend .base_in_cont;
  grid-column: 8 / 9; // Third column of the 10th row
  grid-row: 9 / 10; // Changed from 8 / 9 to 9 / 10
}

.snow_bubble {
  width: 100px;
}

.bubble_layout {
  display: flex; /* Use flexbox layout */
  flex-direction: column; /* Stack inputs vertically */
  justify-content: space-between; /* Space evenly vertical */
  align-items: center; /* Center items horizontally */
  height: 100%; /* Set height (adjust as necessary) */
  width: 100%; /* Set width (adjust as necessary) */
  padding-left: $padding_val; /* Optional: add padding */
  padding-right: $padding_val; /* Optional: add padding */

  & input {
    @extend .input_bubble;
    appearance: textfield; /* Use text input appearance */
    width: 90%; /* Full width */
    margin: 5px 0; /* Space above and below each input */
    padding: 5px;
    text-align: right;
  }
}

.value_in_container {
  display: flex;
  // flex-direction: column; /* Stack inputs on top of each other */
}
.exists_in_container {
  margin-right: 0; /* Space between checkbox and inputs */
  align-self: center; /* Center checkbox vertically with inputs */
}

.base_in_cont {
  display: flex; /* Use flexbox for layout */
  flex-direction: row; /* Set to row to position checkbox next to inputs */
  align-items: center;
  width: 100%; /* Full width */

  [type="number"] {
    @extend .input_bubble;
    appearance: textfield; /* Use text input appearance */
    width: 90%;
    margin: 5px 0; /* Space above and below each input */
    padding: 5px;
    text-align: center;
  }
}
